over 1 year ago


如何确认一切没问题?你可以在终端机输入:

irb
(只需要输入灰底的部分)

2.3.1 :001 > 1 + 2
=> 3

2.3.1 :001 > require "active_support"
=> true

2.3.1 :001 > exit

这些都可以成功执行的话,就是没问题了。

而自己执行的时候
2.3.1 :003 > require "active_support"
=> false

# 解决方法:
执行sudo gem update

输入密码后,安装过程中输入两次y
rdoc's executable "rdoc" conflicts with /Users/liu/.rvm/rubies/ruby-2.3.1/bin/rdoc
Overwrite the executable? [yN] y
rdoc's executable "ri" conflicts with /Users/liu/.rvm/rubies/ruby-2.3.1/bin/ri
Overwrite the executable? [yN] y

再运行可以看到true了

← 环境搭建中遇到的问题 3-1 解决每一次 rails new 都会卡住的问题 →
 
comments powered by Disqus